This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 809051 - Make it easy for installed versions of EPP to be identified - include version.txt
Make it easy for installed versions of EPP to be identified - include version...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal Packaging (Show other bugs)
unspecified
All All
unspecified Severity medium
: CR02
: 6.0.0
Assigned To: hfnukal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 06:52 EDT by Shaun Appleton
Modified: 2013-11-04 19:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-16 04:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaun Appleton 2012-04-02 06:52:31 EDT
https://issues.jboss.org/browse/PRODMGT-133 has been approved - 

For Auditing purposes a customer would like to know which versions of EPP and EAP they have on their system.

(This is possible if they analyse the boot.log / server.log )
But as they want to know what they have installed EPP or EAP may not have been run.

In SOA-P this is easy as there is a version.txt file at the top level.

The RFE is to include a version.txt file in EPP and EAP that describes the correct product version. This would make this sort of analysis eaiser and make our product consistent.

Although the request applies to EAP and EPP it should be applied to all products.


customer comments:
I just talked to one off my colleguaes about this topic and he told me that there is a standard for this. It is in ISO/IEC 19770-2: Software identification tag.
We are using software discovery tool which is able to read tags in this format.
Comment 1 Thomas Heute 2012-06-06 08:14:18 EDT
The exact version is included in all META-INF descriptors, do we really need more than that ?
Comment 2 Thomas Heute 2012-06-06 08:21:28 EDT
The exact version is included in META-INF/MANIFEST.MF descriptors and also in JARs, do we really need more than that ? (Adding a file could be more error-prone )

For instance:
file-roller jboss-epp-5.2/jboss-as/server/default/deploy/gatein.ear/lib/exo.portal.server.jboss.plugin-5.2.1-GA.jar

The version is in the name of the jar and also included in it's META-INF/MANIFEST.MF
Comment 3 Martin Weiler 2012-06-07 03:25:52 EDT
The customer would like to have a plain text file with the version information, so that they can scan all servers for enterprise products and gather information about the products and versions in use. In SOA-P there already is a version.txt file at the top level, and it would be nice to have the same in the other products.
Comment 4 Thomas Heute 2012-06-07 03:39:13 EDT
Can someone be more specific on what to find in the file ?

http://www.iso.org/iso/catalogue_detail.htm?csnumber=53670 is insanely 200$ ...

Also it seems so involve more than just the version number and we need to agree on exact spelling on application creator and such... We'll need a template to copy.
Comment 5 Shaun Appleton 2012-06-19 04:13:36 EDT
Sorry I don't know what to find in the file.

In https://issues.jboss.org/browse/PRODMGT-133 I have suggested the standard be purchased as it would make sense for this standard to be applied to all products.
Comment 7 hfnukal@redhat.com 2013-02-24 20:47:36 EST
jboss-jpp-6.0/version.txt

Note You need to log in before you can comment on or make changes to this bug.